# Retrieve Profiles API token by ID

Retrieve a specific Profiles API token by its identifier.

Endpoint: GET /audiences/{audienceId}/tokens/{tokenId}
Version: 1.0.0
Security: TdApikeyAuth

## Path parameters:

  - `audienceId` (integer, required)
    Master Segment ID of the token

  - `tokenId` (integer, required)
    ID of Token to return

## Response 200 fields (application/json):

  - `id` (string)

  - `audienceId` (string)

  - `token` (string)
    UUID of the token

  - `description` (string)

  - `keyColumn` (string)
    A key column name to fetch the information of a customer.
    Example: "td_client_id"

  - `segments` (array)
    associated segments

  - `segments.id` (integer)

  - `segments.name` (string)

  - `segments.kind` (integer)
    0: batch, 1: realtime, 2: funnel_stage

  - `segments.description` (string)

  - `segments.segmentFolderId` (integer)

  - `segments.population` (integer)
    The population of the segment

  - `segments.realtime` (boolean)
    use kind instead

  - `attributeColumns` (array)
    associated attribute column names.
    Example: ["gender","country"]

  - `v2` (boolean)
    whether the token is v2 or not
    Example: true

  - `createdAt` (string)

  - `updatedAt` (string)

  - `createdBy` (object)

  - `createdBy.id` (string)

  - `createdBy.td_user_id` (string)

  - `createdBy.name` (string)

  - `updatedBy` (object)

## Response 400 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 5XX fields (application/json):

  - `status` (integer, required)
    Error status

  - `error` (string, required)
    Error message

  - `details` (string)
    Detailed error message


